Bug 14873 - amarok заикается при воспроизведении .m4a-файлов
: amarok заикается при воспроизведении .m4a-файлов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/faad)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-12 15:14 by
Modified: 2008-06-06 09:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-12 15:14:38
При воспроизведении файлов .m4a - "ISO Media, MPEG v4 system, version 2" -
"заикается", т.е. воспроизводит примерно 0.2 секунды, затыкается на секунду, и
опять воспроизводит примерно 0.2 секунды.

amarok-1.4.8-alt1.1

Воспроизводится и на движке xine и на gstreamer. Могу предоставить тестовый
файл. Надо?

Если это бага в какой-то из либ, просьба перевесить на правильный компонент.
------- Comment #1 From 2008-03-12 15:18:08 -------
(In reply to comment #0)
> Воспроизводится и на движке xine и на gstreamer. Могу предоставить тестовый
> файл. Надо?

надо
------- Comment #2 From 2008-03-12 15:34:43 -------
http://vvk.pp.ru/Switch-A%20bit%20patchy.m4a
------- Comment #3 From 2008-03-12 15:53:43 -------
faac: frame decoding failed: No standard extension payload allowed in DRM

думаю суть понятна?
------- Comment #4 From 2008-03-13 05:08:08 -------
(In reply to comment #3)
> faac: frame decoding failed: No standard extension payload allowed in DRM
> 
> думаю суть понятна?

Мне тоже попадались файлы, которые проигрывались нормально только mplayer'ом 
(он собран с internal FAAD). Всё, что собрано с Сизифовским 
libfaad'ом - "заикалось"
------- Comment #5 From 2008-03-13 10:48:06 -------
reopen
------- Comment #6 From 2008-03-13 10:49:14 -------
Пересборка faad с --without-drm решает проблему.

http://git.altlinux.org/people/vvk/packages/faad.git?p=faad.git;a=commitdiff;h=035a5190d2b0f172366808c491d0a9b4c49ff4fc
------- Comment #7 From 2008-04-08 18:18:18 -------
ping
------- Comment #8 From 2008-05-15 20:13:13 -------
fixed in  2.6.1-alt4